body {
    margin: 0;
    padding: 0;
    background-color: #282828;      /* gruvbox bg */
    font-family: "Montserrat", sans-serif;
    color: #ebdbb2;                 /* gruvbox fg */
}

/* ================= CODE BLOCKS ================= */

#page pre {
    font-family: "Roboto Mono", monospace;
    font-size: 18px;
    background: #1d2021;            /* darker bg */
    color: #ebdbb2;
    text-align: left;
    

    max-width: 100%;
    overflow-x: auto;
    box-sizing: border-box;

    outline: 2px solid #3c3836;     /* subtle frame */
    padding:1rem;
    padding-top:0; 
}

#page pre code {
    display: block;
}

.hljs {
    background: transparent !important;
    color: #ebdbb2;
}

/* ================= PAGE WRAPPER ================= */

#stage {
    position: relative;
    width: 1200px;
    margin: 0 auto;
}

#page {
    width: 760px;
    margin: 10px auto;
    position: relative;
    font-size: 20px;
    line-height: 1.5;
}

/* ================= HEADER ================= */

#header {
    text-align: center;
    padding: 20px;
    border-bottom: 3px double #928374;   /* gruvbox gray */
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 760px;
    z-index: 1000;
    background-color: #282828;
}

#header h1 {
    margin: 0;
    color: #fabd2f;                    /* gruvbox yellow */
    font-family: "VT323", monospace;
}

/* ================= NAVIGATION ================= */

#nav {
    float: left;
    width: 160px;
    padding: 10px;
    font-family: "VT323", monospace;
    font-size: 30px;
    border-right: 2px dashed #928374;
}

#nav a {
    color: #83a598;                    /* blue */
    text-decoration: none;
}

#nav a:hover {
    background-color: #1d2021;
    color: #fabd2f;
}

/* ================= CONTENT ================= */

.section {
    padding: 0;
    margin-bottom: 12px;
}

.section h1 {
    font-family: "VT323", monospace;
    color: #fabd2f;
    font-style: italic;
    font-size: 50px;
    margin-bottom: 0;
}

.section h2 {
    font-family: "VT323", monospace;
    font-weight: normal;
    color: #a89984;
    margin-top: 0;
    font-size: 25px;
}

.section h3 {
    font-family: "VT323", monospace;
    font-weight: normal;
    margin-top: 0;
    font-size: 25px;
}

.section a {
    color: #83a598;                   /* aqua/green */
    text-decoration: none;
}

.section a:hover {
    background-color: #1d2021;
    color: #fb4934;                   /* red */
}

/* ================= FOOTER ================= */

#footer {
    clear: both;
    text-align: center;
    font-size: 20px;
    border-top: 3px double #928374;
    padding: 10px;
}

/* ================= ANIMATIONS ================= */

.blink {
    color: #fb4934;
    animation: blink 1s steps(2, start) infinite;
}

@keyframes blink {
    to { visibility: hidden; }
}
